# Gimp.Image.merge_visible_layers

    @accepts(Gimp.Image, Gimp.MergeType)
    @returns(Gimp.Layer)
    def merge_visible_layers(self, merge_type):
        # Python wrapper for gimp_image_merge_visible_layers()

Merge the visible image layers into one.

This procedure combines the visible layers into a single layer using the specified merge type. A merge type of EXPAND_AS_NECESSARY expands the final layer to encompass the areas of the visible layers. A merge type of CLIP_TO_IMAGE clips the final layer to the extents of the image. A merge type of CLIP_TO_BOTTOM_LAYER clips the final layer to the size of the bottommost layer.

self

  The image.

merge_type

  The type of merge.

Returns